/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workrepay.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreimbursementback.entity.WorkReimbursementBack;
import com.jeeplus.modules.workrepay.entity.WorkRepay;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 还款DAO接口
 * @author ssrh
 * @version 2018-10-17
 */
@MyBatisDao
public interface WorkRepayDao extends CrudDao<WorkRepay> {
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkRepay workRepay);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkRepay getByProcessInstanceId(String processInstanceId);
    List<WorkRepay> findWorkRepayList(String loanId);
    String findSumRepayList(String loanId);
    int deleteRepay(@Param("reimbursementId") String reimbursementId);
    List<WorkRepay> findWorkRepayView(@Param("loanId") String loanId,@Param("reimbursementId") String reimbursementId);
    int updateReay(@Param("loanId") String loanId,@Param("reimbursementId") String reimbursementId);
}